library(lmerTest)
library(lme4)

#data loading, these csv files are all from the Exp1_everyitem.csv file, it can also be done by subset function
DataExp1_SOA0 <- read.csv('Exp1_SOA0.csv')
DataExp1_VA500 <- read.csv('Exp1_VA500.csv')
DataExp1_AV500 <- read.csv('Exp1_AV500.csv')
DataExp1_AV <- read.csv('Exp1_AV.csv')
DataExp1_VA <- read.csv('Exp1_VA.csv')

#random intercept models
fmexp1_SOA0_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp1_SOA0)
fmexp1_VA500_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp1_VA500)
fmexp1_AV500_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp1_AV500)
fmexp1_VA_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp1_VA)
fmexp1_AV_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp1_AV)

summary() #<- use summary function to see the LMM fitting result of each SOA condition

library(MuMIn) #for R squared results
r.squaredGLMM()
